#pragma once
#include "PoroMediaDialogShare.h"
#include "PorosityInput.h"
#include "afxwin.h"

// PorositySSADialog dialog

class PorositySSADialog : public PoroMediaDialogShare, public CDialog 
{
	DECLARE_DYNAMIC(PorositySSADialog)

public:
	PorositySSADialog(CWnd* pParent = NULL);   // standard constructor
	virtual ~PorositySSADialog();

// Dialog Data
	enum { IDD = IDD_POROSITYSSADIALOG };

protected:
	//standard stuff
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnOK();
	virtual void OnCancel();
	virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()

	//general
	afx_msg void OnBnClickedButtonInputDirectory();
	afx_msg void OnBnClickedButtonWorkDirectory();
	afx_msg void OnCbnSelchangeComboThresholdingMethod();
	afx_msg void OnBnClickedStop();
	afx_msg void OnEnChangeEditWidthSlices();
	afx_msg void OnEnChangeEditEndSlice();
	afx_msg void OnEnChangeEditWidthx();
	afx_msg void OnEnChangeEditEndx();
	afx_msg void OnEnChangeEditWidthy();
	afx_msg void OnEnChangeEditEndy();
	afx_msg void OnEnChangeEditStartSlice();
	afx_msg void OnEnChangeEditStartx();
	afx_msg void OnEnChangeEditStarty();
	afx_msg void OnEnChangeEditManualThreshold();
	
	afx_msg void OnBnClickedCheckBucketMatchPixelSize();


	//dialog specific
public:
	CButton check_run_3D_struct;
	CEdit field_buckets_cntrl;
	short field_buckets_short;
	CButton check_bucket_match_pixel_size;
	CEdit field_bucket_size_mult_cntrl;
	int field_bucket_size_mult_int;
};
